Subject: Re: [PATCH] powerpc/pseries/cpuhp: Use alloc_cpumask_var() in pseries_cpu_hotplug_init()

From: Nathan Lynch <[email-masked]>
Date: Mon, 08 Nov 2021 20:07:58 -0600

Waiman Long <[email-masked]> writes:
> On 11/8/21 20:46, Nicholas Piggin wrote:
>> Differences between the two patches are error checking - no big deal but
>> we should just do it. And GFP_NOWAIT - is this required here?
>
> As I have replied in another thread, I added it because it was used in 
> memblock_alloc_internal().

>From the pseries code's point of view, that's an incidental property of
the misuse detection branch in memblock_alloc_internal() -- I'd
speculate to make it robust for calls from atomic context. GFP_NOWAIT is
not needed here.